| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::cudacodec::FormatInfo Struct Reference
CUDA-accelerated Computer Vision » Video Encoding/Decoding

Struct providing information about video file format. : More...

`#include <opencv2/cudacodec.hpp>`

Collaboration diagram for cv::cudacodec::FormatInfo:

## Public Member Functions
| FormatInfo ()

## Public Attributes
ChromaFormat | chromaFormat
Codec | codec
DeinterlaceMode | deinterlaceMode
Rect | displayArea
| ROI inside the decoded frame returned by nextFrame(frame), containing the useable video frame.
bool | enableHistogram
| Flag requesting histogram output if supported. Exception will be thrown when requested but not supported.
double | fps
int | height
| Height of the decoded frame returned by nextFrame(frame).
int | nBitDepthChromaMinus8
int | nBitDepthMinus8
int | nCounterBitDepth
| Bit depth of histogram bins if histogram output is requested and supported.
int | nMaxHistogramBins
| Max number of histogram bins if histogram output is requested and supported.
cv::Rect | srcRoi
| Region of interest decoded from video source.
cv::Rect | targetRoi
| Region of interest in the output frame containing the decoded frame.
cv::Size | targetSz
| Post-processed size of the output frame.
int | ulHeight
| Coded sequence height in pixels.
int | ulMaxHeight
int | ulMaxWidth
int | ulNumDecodeSurfaces
| Maximum number of internal decode surfaces.
int | ulWidth
| Coded sequence width in pixels.
bool | valid
bool | videoFullRangeFlag
| Output value indicating if the black level, luma and chroma of the source are represented using the full or limited range (AKA TV or "analogue" range) of values as defined in Annex E of the ITU-T Specification. Internally the conversion from NV12 to BGR obeys ITU 709.
int | width
| Width of the decoded frame returned by nextFrame(frame).

## Detailed Description

Struct providing information about video file format. :

## Constructor & Destructor Documentation

## ◆ FormatInfo()

cv::cudacodec::FormatInfo::FormatInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ chromaFormat

ChromaFormat cv::cudacodec::FormatInfo::chromaFormat

## ◆ codec

Codec cv::cudacodec::FormatInfo::codec

## ◆ deinterlaceMode

DeinterlaceMode cv::cudacodec::FormatInfo::deinterlaceMode

## ◆ displayArea

Rect cv::cudacodec::FormatInfo::displayArea

ROI inside the decoded frame returned by nextFrame(frame), containing the useable video frame.

## ◆ enableHistogram

bool cv::cudacodec::FormatInfo::enableHistogram

Flag requesting histogram output if supported. Exception will be thrown when requested but not supported.

## ◆ fps

double cv::cudacodec::FormatInfo::fps

## ◆ height

int cv::cudacodec::FormatInfo::height

Height of the decoded frame returned by nextFrame(frame).

## ◆ nBitDepthChromaMinus8

int cv::cudacodec::FormatInfo::nBitDepthChromaMinus8

## ◆ nBitDepthMinus8

int cv::cudacodec::FormatInfo::nBitDepthMinus8

## ◆ nCounterBitDepth

int cv::cudacodec::FormatInfo::nCounterBitDepth

Bit depth of histogram bins if histogram output is requested and supported.

## ◆ nMaxHistogramBins

int cv::cudacodec::FormatInfo::nMaxHistogramBins

Max number of histogram bins if histogram output is requested and supported.

## ◆ srcRoi

cv::Rect cv::cudacodec::FormatInfo::srcRoi

Region of interest decoded from video source.

## ◆ targetRoi

cv::Rect cv::cudacodec::FormatInfo::targetRoi

Region of interest in the output frame containing the decoded frame.

## ◆ targetSz

cv::Size cv::cudacodec::FormatInfo::targetSz

Post-processed size of the output frame.

## ◆ ulHeight

int cv::cudacodec::FormatInfo::ulHeight

Coded sequence height in pixels.

## ◆ ulMaxHeight

int cv::cudacodec::FormatInfo::ulMaxHeight

## ◆ ulMaxWidth

int cv::cudacodec::FormatInfo::ulMaxWidth

## ◆ ulNumDecodeSurfaces

int cv::cudacodec::FormatInfo::ulNumDecodeSurfaces

Maximum number of internal decode surfaces.

## ◆ ulWidth

int cv::cudacodec::FormatInfo::ulWidth

Coded sequence width in pixels.

## ◆ valid

bool cv::cudacodec::FormatInfo::valid

## ◆ videoFullRangeFlag

bool cv::cudacodec::FormatInfo::videoFullRangeFlag

Output value indicating if the black level, luma and chroma of the source are represented using the full or limited range (AKA TV or "analogue" range) of values as defined in Annex E of the ITU-T Specification. Internally the conversion from NV12 to BGR obeys ITU 709.

## ◆ width

int cv::cudacodec::FormatInfo::width

Width of the decoded frame returned by nextFrame(frame).

The documentation for this struct was generated from the following file:

- opencv2/cudacodec.hpp